import numpy as np

def sort(population, cost):
    sorted_indices = np.argsort(np.array([cost(x, y) for x, y in population]))
    return population[sorted_indices], sorted_indices

def partition(population, partition_amount, show_warning):
    partition_size = len(population)/partition_amount
    
    if show_warning and int(partition_size) != partition_size:
        print("Warning: partition_size is not an integer")
    
    partition = np.split(population, partition_amount)

    return partition

